[ovs-git] [openvswitch/ovs] 94b443: ofp-group: Don't assert-fail decoding bad OF1.5 gr...

GitHub noreply at github.com
Sat Jul 7 00:51:19 UTC 2018


  Branch: refs/heads/branch-2.5
  Home:   https://github.com/openvswitch/ovs
  Commit: 94b443070fea2a15bc4768c35d59d46892cdc901
      https://github.com/openvswitch/ovs/commit/94b443070fea2a15bc4768c35d59d46892cdc901
  Author: Ben Pfaff <blp at ovn.org>
  Date:   2018-07-06 (Fri, 06 Jul 2018)

  Changed paths:
    M lib/ofp-util.c

  Log Message:
  -----------
  ofp-group: Don't assert-fail decoding bad OF1.5 group mod type or command.

When decoding a group mod, the current code validates the group type and
command after the whole group mod has been decoded.  The OF1.5 decoder,
however, tries to use the type and command earlier, when it might still be
invalid.  This caused an assertion failure (via OVS_NOT_REACHED).  This
commit fixes the problem.

ovs-vswitchd does not enable support for OpenFlow 1.5 by default.

Reported-at: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=9249
Signed-off-by: Ben Pfaff <blp at ovn.org>
Reviewed-by: Yifeng Sun <pkusunyifeng at gmail.com>



      **NOTE:** This service been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.


More information about the git mailing list